## org.apache.cassandra.net
Class ResponseVerbHandler

    java.lang.Object
      org.apache.cassandra.net.ResponseVerbHandler

All Implemented Interfaces:
  ILatencyPublisher, IVerbHandler

    public class ResponseVerbHandler

extends java.lang.Object
implements IVerbHandler, ILatencyPublisher

Constructor Summary
`ResponseVerbHandler()`

Method Summary
`void` `doVerb(Message message)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).
`void` `register(ILatencySubscriber subscriber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseVerbHandler

    public ResponseVerbHandler()

Method Detail

### doVerb

    public void doVerb(Message message)

  Description copied from interface: `IVerbHandler`
  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Specified by:
    `doVerb` in interface `IVerbHandler`
  Parameters:
    `message` - - incoming message that needs handling.

### register

    public void register(ILatencySubscriber subscriber)

  Specified by:
    `register` in interface `ILatencyPublisher`

Copyright © 2010 The Apache Software Foundation